ch.qos.logback.core.rolling.helper

## Class FileStoreUtil

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.FileStoreUtil

    public class FileStoreUtil
    extends java.lang.Object

A utility class using functionality available since JDK 1.7.

Since:
  1.0.10
Author:
  ceki

### Constructor Summary

Constructors
Constructor and Description
`FileStoreUtil()`

### Method Summary

Methods
`static boolean` `areOnSameFileStore(java.io.File a, java.io.File b)` This method assumes that both files a and b exists.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileStoreUtil

    public FileStoreUtil()

### Method Detail

#### areOnSameFileStore

    public static boolean areOnSameFileStore(java.io.File a,
                             java.io.File b)
                                      throws RolloverFailure

This method assumes that both files a and b exists.

Parameters:
  `a` -
  `b` -
Returns:
Throws:
  `java.lang.Exception`
  `RolloverFailure`